import { BindableTexture, SpritesheetData, Spritesheet as pxSpritesheet } from 'pixi.js';
import { JSX } from 'solid-js';
import { CommonProps } from './interfaces';
export type ExtendedSpritesheet<S extends SpritesheetData, Data extends object> = pxSpritesheet<S> & Data;
export type SpritesheetProps<S extends SpritesheetData, Data extends object> = CommonProps<ExtendedSpritesheet<S, Data>> & {
    texture: BindableTexture;
    data: S;
    fallback?: JSX.Element;
} & Data;
export declare const SpritesheetContext: import("solid-js").Context<ExtendedSpritesheet<SpritesheetData, object> | undefined>;
export declare function useSpritesheet<S extends SpritesheetData = SpritesheetData, D extends object = object>(): ExtendedSpritesheet<S, D>;
export declare function SpriteSheet<S extends SpritesheetData = SpritesheetData, Data extends object = object>(props: SpritesheetProps<S, Data>): JSX.Element;
//# sourceMappingURL=Spritesheet.d.ts.map